Name: libtool
Version: 1.3.3
Release: 1a
Copyright: GPL
Group: Development/Tools
Summary: The GNU libtool, which simplifies the use of shared libraries.
Source: ftp://alpha.gnu.org/gnu/libtool-%{version}.tar.gz
Prefix: %{_prefix}
PreReq: /sbin/install-info
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, you
should install libtool.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make -k -C doc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
make prefix=${RPM_BUILD_ROOT}%{_prefix} install
gzip -9 ${RPM_BUILD_ROOT}%{_prefix}/info/*.info*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_prefix}/info/libtool.info.gz %{_prefix}/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_prefix}/info/libtool.info.gz %{_prefix}/info/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%doc THANKS TODO ChangeLog demo
%{_prefix}/bin/*
%{_prefix}/info/libtool.info*
%{_prefix}/share/libtool
%{_prefix}/share/aclocal/libtool.m4

%changelog
* Wed Sep 29 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to version 1.3.3
- removed obsolete patches

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
